Skip to main content
A contact is an entity to whom payouts can be made through various supported modes like UPI, IMPS, NEFT and RTGS, Cards and more. Know more about Contacts and Fund Accounts.

It is mandatory to allowlist the IPs that you use while making payouts via APIs, else the request will fail. In case of errors, you can refer to the error codes in the respective API endpoint pages.
Fork the Razorpay Postman Public Workspace and try the Contacts APIs using your Test API Keys. Run in Postman

Create a Contact

POST /v1/contactsCreates a new Contact with phone number/email id.

Update a Contact

PATCH /v1/contacts/:idUpdates a particular Contact’s details.

Retrieve All Contacts

GET /v1/contactsRetrieves all Contacts created in your RazorpayX account.

Retrieve Contact With ID

GET /v1/contacts/:idRetrieves a single Contact with ID.

Activate or Deactivate a Contact

PATCH /v1/contacts/:idActivates or deactivates an existing contact.